petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESLineSearchSetWorkVecs

Gets work vectors for the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetWorkVecs(SNESLineSearch linesearch, PetscInt nwork)

### Input Parameter

| linesearch | - the SNESLineSearch context
| nwork | - the number of work vectors

### See Also

SNESSetWorkVecs()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages